From: James Valleroy <jvalleroy@mailbox.org>
Date: Fri, 27 May 2022 08:26:54 -0400
Subject: webpack: Resolve from system install paths

Forwarded: not-needed
---
 webpack.config.js | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/webpack.config.js b/webpack.config.js
index bb6f590..83d12e5 100644
--- a/webpack.config.js
+++ b/webpack.config.js
@@ -33,6 +33,12 @@ module.exports = [
       filename: '[name].min.js',
       path: path.resolve(__dirname, 'tpl/default/js/')
     },
+    resolve: {
+      modules: ['/usr/lib/nodejs','/usr/share/nodejs']
+    },
+    resolveLoader: {
+      modules: ['/usr/lib/nodejs','/usr/share/nodejs']
+    },
     module: {
       rules: [
         {
@@ -107,6 +113,12 @@ module.exports = [
       filename: '[name].min.js',
       path: path.resolve(__dirname, 'tpl/vintage/js/')
     },
+    resolve: {
+      modules: ['/usr/lib/nodejs','/usr/share/nodejs']
+    },
+    resolveLoader: {
+      modules: ['/usr/lib/nodejs','/usr/share/nodejs']
+    },
     module: {
       rules: [
         {
